SND_RAWMIDI_TRANSMIT(9)

NAME
snd_rawmidi_transmit_ack - acknowledge the transmission

SYNOPSIS

int snd_rawmidi_transmit_ack(struct snd_rawmidi_substream * substream, int count);

ARGUMENTS

substream
    the rawmidi substream

count
    the transferred count

DESCRIPTION

Advances the hardware pointer for the internal output buffer with the given size and updates the condition. Call after the transmission is finished.

RETURN

The advanced size if successful, or a negative error code on failure.

COPYRIGHT